#include "cstdlib"
#include "iostream" 
using namespace std;
class Vehicle 
{ 

private:
string brand;
string licencePlate;
int ps;
int constructionYear;

public:
//default constructor
Vehicle() {}
//constructor with member initialization list
Vehicle(string br, string licence, int ps, int cy): brand(br), licencePlate(licence), ps(ps), constructionYear(cy) {} 
 
void displayData(){ 
cout << "Brand: " << brand << endl;
cout << "Licence Plate: " << licencePlate << endl;
cout << "PS: " << ps << endl;
cout << "Construction Year: " << constructionYear << endl; 
}

// In order for derived classes get access to the private members they must either be defined as protected, or we use data encapsulation and define so-called getter functions

string getBrand() {return brand; }
string getLicencePlate() {return licencePlate; }
int getPS() {return ps; }
int getConstructionYear() {return constructionYear; }
};


class Car: public Vehicle {
private:
float maxSpeed; 
public:
Car() {}
Car(string br, string licence, int ps, int cy, float max): Vehicle(br, licence, ps, cy), maxSpeed(max) {} 
void displayData(){ 
cout << "Brand: " << getBrand() << endl;
cout << "Licence Plate: " << getLicencePlate() << endl;
cout << "PS: " << getPS() << endl;
cout << "Construction Year: " << getConstructionYear() << endl;
cout << "Maximum Speed: " << maxSpeed << endl;
} 
};

class Truck: public Vehicle {
private:
float maxLoad;
int numberWheels; 
public:
Truck() {}
Truck(string br, string licence, int ps, int cy, float max, int no): Vehicle(br, licence, ps, cy), maxLoad(max), numberWheels(no) {}

void displayData(){ 
cout << "Brand: " << getBrand() << endl;
cout << "Licence Plate: " << getLicencePlate() << endl;
cout << "PS: " << getPS() << endl;
cout << "Construction Year: " << getConstructionYear() << endl;
cout << "Maximum Load: " << maxLoad << endl;
cout << "Number of Wheels: " << numberWheels << endl;
} 
};

int main(){
Vehicle f1("Audi", "AO RT 333", 110, 2010); 
Vehicle f2("BMW", "C PP 33", 150, 2009);
f1.displayData();
f2.displayData();
Car p1("Opel", "KA WA 11", 78, 2004, 150);
Truck l1("Mercedes", "WA SS 44", 99, 2007, 5.4, 8);
p1.displayData();
l1.displayData();
system("pause");
return 0; 
};
