#include <iostream>
#include <cstdlib>

using namespace std;

int volume(int l, int b, int h)
{
	if (l<=0)
		throw (string) "Length is equal to 0 or negative.";
	else if(b<=0)
		throw (string) "Width is equal to 0 or negative.";
	else if(h<=0)
		throw (string) "Height is equal to 0 or negative.";
	else
		return (l*b*h);
}

int main () {
	
	int length, width, height;
	
	cout << "Length: ";
	cin >> length;
	cout << "Width: ";
	cin >> width;
	cout << "Height: ";
	cin >> height;
	
	try
	{
		cout << volume(length,width,height) << "cm\xFC" << endl; //FC is hexadecimal for the character
	}
	catch (const string msg)
	{
		cerr << msg << endl;
	}

	system("pause");
	return 0;
}
